Skip to main content
Get the match score between an Employee and a Job
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/jobs/{job_external_id}/match \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "b003505-eb84-42dc-a79f-5e7b1fe897b7",
  "employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "score": 0.87657
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

employee_external_id
string<uuid>
required

Unique external ID linked to this Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_external_id
string<uuid>
required

Unique external ID linked to this Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:simple

If set to explained, the response will include an explanation of the match.

Available options:
simple,
explained
Example:

"explained"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl

Response

OK Note: When proficiency matching or criticality matching is enabled on the tenant, additional fields will be included in the response. See the PropertiesExplained schema for details on which fields are included.

A match result between an Employee and a Job.

job_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b003505-eb84-42dc-a79f-5e7b1fe897b7"

employee_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

score
number<float>
required

The matching score between an Employee and a Job, expressed as a number between 0 and 1.

Required range: 0 <= x <= 1
Example:

0.87657